tigase.stats

## Interface StatisticsProviderMBean

- All Known Implementing Classes:
    JavaJMXProxy, StatisticsProvider

      public interface StatisticsProviderMBean

  Interface StatisticsProviderMBean
  Author:
    kobit

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getAllStats(int level)` Operation exposed for management
    `int` | `getCLIOQueueSize()` Method description
    `float[]` | `getCLPacketsPerSecHistory()` Method description
    `int` | `getCLQueueSize()` Method description
    `int` | `getClusterCacheSize()` Method description
    `float` | `getClusterCompressionRatio()` Method description
    `long` | `getClusterNetworkBytes()` Method description
    `float` | `getClusterNetworkBytesPerSecond()` Method description
    `long` | `getClusterPackets()` Method description
    `float` | `getClusterPacketsPerSec()` Method description
    `List<String>` | `getComponentsNames()` Get Attribute exposed for management
    `Map<String,String>` | `getComponentStats(String compName, int level)` Operation exposed for management
    `int` | `getConnectionsNumber()` Method description
    `int[]` | `getConnectionsNumberHistory()` Method description
    `int` | `getCPUsNumber()` Method description
    `float` | `getCPUUsage()` Method description
    `float[]` | `getCPUUsageHistory()` Method description
    `Map<String,Object>` | `getCurStats(String[] statsKeys)` Method description
    `float` | `getHeapMemUsage()` Method description
    `float[]` | `getHeapUsageHistory()` Method description
    `long` | `getIQAuthNumber()` Method description
    `long` | `getIQOtherNumber()` Method description
    `float` | `getIQOtherNumberPerSec()` Method description
    `long` | `getMessagesNumber()` Method description
    `float` | `getMessagesNumberPerSec()` Method description
    `String` | `getName()` Get Attribute exposed for management
    `float` | `getNonHeapMemUsage()` Method description
    `long` | `getPresencesNumber()` Method description
    `float` | `getPresencesNumberPerSec()` Method description
    `long` | `getProcesCPUTime()` Method description
    `long` | `getQueueOverflow()` Method description
    `int` | `getQueueSize()` Method description
    `int` | `getServerConnections()` Method description
    `int[]` | `getServerConnectionsHistory()` Method description
    `long` | `getSMPacketsNumber()` Method description
    `float` | `getSMPacketsNumberPerSec()` Method description
    `float[]` | `getSMPacketsPerSecHistory()` Method description
    `int` | `getSMQueueSize()` Method description
    `Map<String,LinkedList<Object>>` | `getStatsHistory(String[] statsKeys)` Method description
    `String` | `getSystemDetails()` Method description
    `long` | `getUptime()` Method description

- - ### Method Detail

    - #### getAllStats

          Map<String,String> getAllStats(int level)

      Operation exposed for management
      Parameters:
        `level` - Statistics level, 0 - All, 500 - Medium, 800 - Minimal
      Returns:
        java.util.Map

    - #### getCLIOQueueSize

          int getCLIOQueueSize()

      Method description
      Returns:
        a value of `int`

    - #### getCLPacketsPerSecHistory

          float[] getCLPacketsPerSecHistory()

      Method description
      Returns:
        a value of `float[]`

    - #### getCLQueueSize

          int getCLQueueSize()

      Method description
      Returns:
        a value of `int`

    - #### getClusterCacheSize

          int getClusterCacheSize()

      Method description
      Returns:
        a value of `int`

    - #### getClusterCompressionRatio

          float getClusterCompressionRatio()

      Method description
      Returns:
        a value of `float`

    - #### getClusterNetworkBytes

          long getClusterNetworkBytes()

      Method description
      Returns:
        a value of `long`

    - #### getClusterNetworkBytesPerSecond

          float getClusterNetworkBytesPerSecond()

      Method description
      Returns:
        a value of `float`

    - #### getClusterPackets

          long getClusterPackets()

      Method description
      Returns:
        a value of `long`

    - #### getClusterPacketsPerSec

          float getClusterPacketsPerSec()

      Method description
      Returns:
        a value of `float`

    - #### getComponentsNames

          List<String> getComponentsNames()

      Get Attribute exposed for management
      Returns:
        a value of `List`

    - #### getComponentStats

          Map<String,String> getComponentStats(String compName,
                                             int level)

      Operation exposed for management
      Parameters:
        `compName` - The component name to provide statistics for
        `level` - Statistics level, 0 - All, 500 - Medium, 800 - Minimal
      Returns:
        java.util.Map

    - #### getConnectionsNumber

          int getConnectionsNumber()

      Method description
      Returns:
        a value of `int`

    - #### getConnectionsNumberHistory

          int[] getConnectionsNumberHistory()

      Method description
      Returns:
        a value of `int[]`

    - #### getCPUsNumber

          int getCPUsNumber()

      Method description
      Returns:
        a value of `int`

    - #### getCPUUsage

          float getCPUUsage()

      Method description
      Returns:
        a value of `float`

    - #### getCPUUsageHistory

          float[] getCPUUsageHistory()

      Method description
      Returns:
        a value of `float[]`

    - #### getCurStats

          Map<String,Object> getCurStats(String[] statsKeys)

      Method description
      Parameters:
        `statsKeys` - is a `String[]`
      Returns:
        a value of `Map`

    - #### getHeapMemUsage

          float getHeapMemUsage()

      Method description
      Returns:
        a value of `float`

    - #### getHeapUsageHistory

          float[] getHeapUsageHistory()

      Method description
      Returns:
        a value of `float[]`

    - #### getIQAuthNumber

          long getIQAuthNumber()

      Method description
      Returns:
        a value of `long`

    - #### getIQOtherNumber

          long getIQOtherNumber()

      Method description
      Returns:
        a value of `long`

    - #### getIQOtherNumberPerSec

          float getIQOtherNumberPerSec()

      Method description
      Returns:
        a value of `float`

    - #### getMessagesNumber

          long getMessagesNumber()

      Method description
      Returns:
        a value of `long`

    - #### getMessagesNumberPerSec

          float getMessagesNumberPerSec()

      Method description
      Returns:
        a value of `float`

    - #### getName

          String getName()

      Get Attribute exposed for management
      Returns:
        a value of `String`

    - #### getNonHeapMemUsage

          float getNonHeapMemUsage()

      Method description
      Returns:
        a value of `float`

    - #### getPresencesNumber

          long getPresencesNumber()

      Method description
      Returns:
        a value of `long`

    - #### getPresencesNumberPerSec

          float getPresencesNumberPerSec()

      Method description
      Returns:
        a value of `float`

    - #### getProcesCPUTime

          long getProcesCPUTime()

      Method description
      Returns:
        a value of `long`

    - #### getQueueOverflow

          long getQueueOverflow()

      Method description
      Returns:
        a value of `long`

    - #### getQueueSize

          int getQueueSize()

      Method description
      Returns:
        a value of `int`

    - #### getServerConnections

          int getServerConnections()

      Method description
      Returns:
        a value of `int`

    - #### getServerConnectionsHistory

          int[] getServerConnectionsHistory()

      Method description
      Returns:
        a value of `int[]`

    - #### getSMPacketsNumber

          long getSMPacketsNumber()

      Method description
      Returns:
        a value of `long`

    - #### getSMPacketsNumberPerSec

          float getSMPacketsNumberPerSec()

      Method description
      Returns:
        a value of `float`

    - #### getSMPacketsPerSecHistory

          float[] getSMPacketsPerSecHistory()

      Method description
      Returns:
        a value of `float[]`

    - #### getSMQueueSize

          int getSMQueueSize()

      Method description
      Returns:
        a value of `int`

    - #### getStatsHistory

          Map<String,LinkedList<Object>> getStatsHistory(String[] statsKeys)

      Method description
      Parameters:
        `statsKeys` - is a `String[]`
      Returns:
        a value of `Map>`

    - #### getSystemDetails

          String getSystemDetails()

      Method description
      Returns:
        a value of `String`

    - #### getUptime

          long getUptime()

      Method description
      Returns:
        a value of `long`

Copyright © 2013 Tigase. All rights reserved.